com.amazonaws.services.lambda.model

## Class UpdateFunctionConfigurationRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.UpdateFunctionConfigurationRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateFunctionConfigurationRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateFunctionConfigurationRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateFunctionConfigurationRequest` `clone()`
`boolean` `equals(Object obj)`
`DeadLetterConfig` `getDeadLetterConfig()` The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
`String` `getDescription()` A short user-defined function description.
`Environment` `getEnvironment()` The parent object that contains your environment's configuration settings.
`String` `getFunctionName()` The name of the Lambda function.
`String` `getHandler()` The function that Lambda calls to begin executing your function.
`String` `getKMSKeyArn()` The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables.
`Integer` `getMemorySize()` The amount of memory, in MB, your Lambda function is given.
`String` `getRole()` The Amazon Resource Name (ARN) of the IAM role that Lambda will assume when it executes your function.
`String` `getRuntime()` The runtime environment for the Lambda function.
`Integer` `getTimeout()` The function execution time at which AWS Lambda should terminate the function.
`VpcConfig` `getVpcConfig()`
`int` `hashCode()`
`void` `setDeadLetterConfig(DeadLetterConfig deadLetterConfig)` The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
`void` `setDescription(String description)` A short user-defined function description.
`void` `setEnvironment(Environment environment)` The parent object that contains your environment's configuration settings.
`void` `setFunctionName(String functionName)` The name of the Lambda function.
`void` `setHandler(String handler)` The function that Lambda calls to begin executing your function.
`void` `setKMSKeyArn(String kMSKeyArn)` The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables.
`void` `setMemorySize(Integer memorySize)` The amount of memory, in MB, your Lambda function is given.
`void` `setRole(String role)` The Amazon Resource Name (ARN) of the IAM role that Lambda will assume when it executes your function.
`void` `setRuntime(Runtime runtime)` The runtime environment for the Lambda function.
`void` `setRuntime(String runtime)` The runtime environment for the Lambda function.
`void` `setTimeout(Integer timeout)` The function execution time at which AWS Lambda should terminate the function.
`void` `setVpcConfig(VpcConfig vpcConfig)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateFunctionConfigurationRequest` `withDeadLetterConfig(DeadLetterConfig deadLetterConfig)` The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
`UpdateFunctionConfigurationRequest` `withDescription(String description)` A short user-defined function description.
`UpdateFunctionConfigurationRequest` `withEnvironment(Environment environment)` The parent object that contains your environment's configuration settings.
`UpdateFunctionConfigurationRequest` `withFunctionName(String functionName)` The name of the Lambda function.
`UpdateFunctionConfigurationRequest` `withHandler(String handler)` The function that Lambda calls to begin executing your function.
`UpdateFunctionConfigurationRequest` `withKMSKeyArn(String kMSKeyArn)` The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables.
`UpdateFunctionConfigurationRequest` `withMemorySize(Integer memorySize)` The amount of memory, in MB, your Lambda function is given.
`UpdateFunctionConfigurationRequest` `withRole(String role)` The Amazon Resource Name (ARN) of the IAM role that Lambda will assume when it executes your function.
`UpdateFunctionConfigurationRequest` `withRuntime(Runtime runtime)` The runtime environment for the Lambda function.
`UpdateFunctionConfigurationRequest` `withRuntime(String runtime)` The runtime environment for the Lambda function.
`UpdateFunctionConfigurationRequest` `withTimeout(Integer timeout)` The function execution time at which AWS Lambda should terminate the function.
`UpdateFunctionConfigurationRequest` `withVpcConfig(VpcConfig vpcConfig)`

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateFunctionConfigurationRequest

    public UpdateFunctionConfigurationRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

The name of the Lambda function.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The name of the Lambda function.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### getFunctionName

    public String getFunctionName()

The name of the Lambda function.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  The name of the Lambda function.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### withFunctionName

    public UpdateFunctionConfigurationRequest withFunctionName(String functionName)

The name of the Lambda function.

You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The name of the Lambda function.

  You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRole

    public void setRole(String role)

The Amazon Resource Name (ARN) of the IAM role that Lambda will assume when it executes your function.

Parameters:
  `role` - The Amazon Resource Name (ARN) of the IAM role that Lambda will assume when it executes your function.

#### getRole

    public String getRole()

The Amazon Resource Name (ARN) of the IAM role that Lambda will assume when it executes your function.

Returns:
  The Amazon Resource Name (ARN) of the IAM role that Lambda will assume when it executes your function.

#### withRole

    public UpdateFunctionConfigurationRequest withRole(String role)

The Amazon Resource Name (ARN) of the IAM role that Lambda will assume when it executes your function.

Parameters:
  `role` - The Amazon Resource Name (ARN) of the IAM role that Lambda will assume when it executes your function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHandler

    public void setHandler(String handler)

The function that Lambda calls to begin executing your function. For Node.js, it is the `module-name.export` value in your function.

Parameters:
  `handler` - The function that Lambda calls to begin executing your function. For Node.js, it is the `module-name.export` value in your function.

#### getHandler

    public String getHandler()

The function that Lambda calls to begin executing your function. For Node.js, it is the `module-name.export` value in your function.

Returns:
  The function that Lambda calls to begin executing your function. For Node.js, it is the `module-name.export` value in your function.

#### withHandler

    public UpdateFunctionConfigurationRequest withHandler(String handler)

The function that Lambda calls to begin executing your function. For Node.js, it is the `module-name.export` value in your function.

Parameters:
  `handler` - The function that Lambda calls to begin executing your function. For Node.js, it is the `module-name.export` value in your function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

A short user-defined function description. AWS Lambda does not use this value. Assign a meaningful description as you see fit.

Parameters:
  `description` - A short user-defined function description. AWS Lambda does not use this value. Assign a meaningful description as you see fit.

#### getDescription

    public String getDescription()

A short user-defined function description. AWS Lambda does not use this value. Assign a meaningful description as you see fit.

Returns:
  A short user-defined function description. AWS Lambda does not use this value. Assign a meaningful description as you see fit.

#### withDescription

    public UpdateFunctionConfigurationRequest withDescription(String description)

A short user-defined function description. AWS Lambda does not use this value. Assign a meaningful description as you see fit.

Parameters:
  `description` - A short user-defined function description. AWS Lambda does not use this value. Assign a meaningful description as you see fit.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimeout

    public void setTimeout(Integer timeout)

The function execution time at which AWS Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

Parameters:
  `timeout` - The function execution time at which AWS Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

#### getTimeout

    public Integer getTimeout()

The function execution time at which AWS Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

Returns:
  The function execution time at which AWS Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

#### withTimeout

    public UpdateFunctionConfigurationRequest withTimeout(Integer timeout)

The function execution time at which AWS Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

Parameters:
  `timeout` - The function execution time at which AWS Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMemorySize

    public void setMemorySize(Integer memorySize)

The amount of memory, in MB, your Lambda function is given. AWS Lambda uses this memory size to infer the amount of CPU allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.

Parameters:
  `memorySize` - The amount of memory, in MB, your Lambda function is given. AWS Lambda uses this memory size to infer the amount of CPU allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.

#### getMemorySize

    public Integer getMemorySize()

The amount of memory, in MB, your Lambda function is given. AWS Lambda uses this memory size to infer the amount of CPU allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.

Returns:
  The amount of memory, in MB, your Lambda function is given. AWS Lambda uses this memory size to infer the amount of CPU allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.

#### withMemorySize

    public UpdateFunctionConfigurationRequest withMemorySize(Integer memorySize)

The amount of memory, in MB, your Lambda function is given. AWS Lambda uses this memory size to infer the amount of CPU allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.

Parameters:
  `memorySize` - The amount of memory, in MB, your Lambda function is given. AWS Lambda uses this memory size to infer the amount of CPU allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVpcConfig

    public void setVpcConfig(VpcConfig vpcConfig)

Parameters:
  `vpcConfig` -

#### getVpcConfig

    public VpcConfig getVpcConfig()

Returns:

#### withVpcConfig

    public UpdateFunctionConfigurationRequest withVpcConfig(VpcConfig vpcConfig)

Parameters:
  `vpcConfig` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEnvironment

    public void setEnvironment(Environment environment)

The parent object that contains your environment's configuration settings.

Parameters:
  `environment` - The parent object that contains your environment's configuration settings.

#### getEnvironment

    public Environment getEnvironment()

The parent object that contains your environment's configuration settings.

Returns:
  The parent object that contains your environment's configuration settings.

#### withEnvironment

    public UpdateFunctionConfigurationRequest withEnvironment(Environment environment)

The parent object that contains your environment's configuration settings.

Parameters:
  `environment` - The parent object that contains your environment's configuration settings.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRuntime

    public void setRuntime(String runtime)

The runtime environment for the Lambda function.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

<note>

You can no longer downgrade to the v0.10.42 runtime version. This version will no longer be supported as of early 2017.

</note>

Parameters:
  `runtime` - The runtime environment for the Lambda function.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

  <note>

  You can no longer downgrade to the v0.10.42 runtime version. This version will no longer be supported as of early 2017.

See Also:
  `Runtime`

#### getRuntime

    public String getRuntime()

The runtime environment for the Lambda function.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

<note>

You can no longer downgrade to the v0.10.42 runtime version. This version will no longer be supported as of early 2017.

</note>

Returns:
  The runtime environment for the Lambda function.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

  <note>

  You can no longer downgrade to the v0.10.42 runtime version. This version will no longer be supported as of early 2017.

See Also:
  `Runtime`

#### withRuntime

    public UpdateFunctionConfigurationRequest withRuntime(String runtime)

The runtime environment for the Lambda function.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

<note>

You can no longer downgrade to the v0.10.42 runtime version. This version will no longer be supported as of early 2017.

</note>

Parameters:
  `runtime` - The runtime environment for the Lambda function.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

  <note>

  You can no longer downgrade to the v0.10.42 runtime version. This version will no longer be supported as of early 2017.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `Runtime`

#### setRuntime

    public void setRuntime(Runtime runtime)

The runtime environment for the Lambda function.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

<note>

You can no longer downgrade to the v0.10.42 runtime version. This version will no longer be supported as of early 2017.

</note>

Parameters:
  `runtime` - The runtime environment for the Lambda function.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

  <note>

  You can no longer downgrade to the v0.10.42 runtime version. This version will no longer be supported as of early 2017.

See Also:
  `Runtime`

#### withRuntime

    public UpdateFunctionConfigurationRequest withRuntime(Runtime runtime)

The runtime environment for the Lambda function.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

<note>

You can no longer downgrade to the v0.10.42 runtime version. This version will no longer be supported as of early 2017.

</note>

Parameters:
  `runtime` - The runtime environment for the Lambda function.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

  <note>

  You can no longer downgrade to the v0.10.42 runtime version. This version will no longer be supported as of early 2017.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `Runtime`

#### setDeadLetterConfig

    public void setDeadLetterConfig(DeadLetterConfig deadLetterConfig)

The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

Parameters:
  `deadLetterConfig` - The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

#### getDeadLetterConfig

    public DeadLetterConfig getDeadLetterConfig()

The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

Returns:
  The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

#### withDeadLetterConfig

    public UpdateFunctionConfigurationRequest withDeadLetterConfig(DeadLetterConfig deadLetterConfig)

The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

Parameters:
  `deadLetterConfig` - The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setKMSKeyArn

    public void setKMSKeyArn(String kMSKeyArn)

The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If you elect to use the AWS Lambda default service key, pass in an empty string ("") for this parameter.

Parameters:
  `kMSKeyArn` - The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If you elect to use the AWS Lambda default service key, pass in an empty string ("") for this parameter.

#### getKMSKeyArn

    public String getKMSKeyArn()

The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If you elect to use the AWS Lambda default service key, pass in an empty string ("") for this parameter.

Returns:
  The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If you elect to use the AWS Lambda default service key, pass in an empty string ("") for this parameter.

#### withKMSKeyArn

    public UpdateFunctionConfigurationRequest withKMSKeyArn(String kMSKeyArn)

The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If you elect to use the AWS Lambda default service key, pass in an empty string ("") for this parameter.

Parameters:
  `kMSKeyArn` - The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If you elect to use the AWS Lambda default service key, pass in an empty string ("") for this parameter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateFunctionConfigurationRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`